﻿
using System.Threading.Tasks;
using ScanBarcodeEntry.ViewModels;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace ScanBarcodeEntry.Views
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
	public partial class MainPage : ContentPage
	{
		public MainPage ()
		{
			InitializeComponent ();
		    var mainPageViewModel = BindingContext as MainPageViewModel;
		    if (mainPageViewModel == null) return;
		    mainPageViewModel.FocusBarCodeEntry = FocusBarCodeEntry;
		}

	    private void FocusBarCodeEntry()
	    {
            Device.BeginInvokeOnMainThread(async () =>
            {
                await Task.Delay(80);
                ScanBarcodeEntry.Focus();
            });
	    }

    }
}