﻿using System;
using Prism;
using Prism.Ioc;
using Prism.Unity;
using ScanBarcodeEntry.ViewModels;
using ScanBarcodeEntry.Views;
using Xamarin.Forms;
using Xamarin.Forms.Xaml;

[assembly: XamlCompilation(XamlCompilationOptions.Compile)]
namespace ScanBarcodeEntry
{
    public partial class App : PrismApplication
    {
        public App(IPlatformInitializer initializer = null) : base(initializer){}

        protected override void OnInitialized()
        {
            InitializeComponent();
            NavigationService.NavigateAsync("MainPage");

        }
        protected override void RegisterTypes(IContainerRegistry containerRegistry)
        {
           containerRegistry.RegisterForNavigation<MainPage,MainPageViewModel>();
        }

    }
}
